package com.datacloudsec.scan.tasks.scheduler.job;

import com.datacloudsec.scan.dao.EngineMapper;
import com.datacloudsec.scan.tasks.InitSystemTask;
import com.datacloudsec.scan.tasks.scheduler.job.IJob;
import com.datacloudsec.scan.tasks.scheduler.job.task.BlineTask;
import com.datacloudsec.utils.InstanceUtil;
import com.datacloudsec.utils.ObjectUtil;
import com.howie.hlicense.info.LicenseLic;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.locks.ReentrantLock;

public class BlineScanJob implements IJob {

   private static EngineMapper engineMapper = (EngineMapper)InstanceUtil.newDaoInstance(EngineMapper.class);
   private static ReentrantLock lock = new ReentrantLock();


   public void setParams(Map params) throws Exception {
   }

   public void run() {
      LicenseLic lic = InitSystemTask.licenseApp.getLicenseLic();
      if(lic != null) {
         Map params = lic.getParams();
         String licCmp = (String)params.get("cmp");
         if(licCmp != null && licCmp.contains("bline")) {
            lock.lock();

            try {
               List e = engineMapper.queryResultDevice();
               Iterator var6 = e.iterator();

               while(var6.hasNext()) {
                  Map device = (Map)var6.next();
                  int taskType = ObjectUtil.getInt(device.get("taskType"), -1);
                  if(taskType == 2 && ObjectUtil.getInt(device.get("type"), -1) != 8) {
                     BlineTask.blineScanSync(device);
                  }
               }
            } catch (Exception var11) {
               LOG.error("", var11);
            } finally {
               lock.unlock();
            }

         }
      }
   }

   public static void main(String[] args) throws Exception {
      BlineScanJob s = new BlineScanJob();
      (new Thread(s)).start();
   }
}
